<div *ngIf="istransmissionCompletion">
    <div id="matDialogContent">
        <mat-dialog-content class="print-content">
            <div fxLayout="row" fxLayout.lt-md="column" style="justify-content: center !important;">
                <!-- <img mat-card-image style="width: 200px; height:40px; margin: 5px 0px;" 
                src="assets/Images/logo1.png" alt="NYC HRA LOGO" />
                <span style="flex: 1 1 auto;"></span> -->
                <h2 mat-dialog-title>Coordinated Assessment and Placement System</h2>
                <!-- <span style="flex: 1 1 auto;"></span> -->
            </div>
            <div fxLayout="row" fxLayout.lt-md="column">
                <div fxLayout="column" fxLayoutAlign="start">
                    <mat-label><b>Transmission Status</b></mat-label>
                </div>
            </div>
            <br>
            <mat-divider></mat-divider>
            <br>
            <div fxLayout="row" fxLayout.lt-md="column">
                <div fxLayout="column" fxLayoutAlign="start">
                    <mat-label>The application for <b>{{transmissionCompletionData.clientFirstName}}
                            {{transmissionCompletionData.clientLastName}}</b> was successfully transmitted to
                        HRA/CAS and a Service Request was assigned.
                    </mat-label>
                </div>
            </div>
            <br>
            <div fxLayout="row" fxLayout.lt-md="column">
                <div fxLayout="column" fxLayoutAlign="start">
                    <mat-label><b>Application #:</b> {{transmissionCompletionData.pactApplicationID}}</mat-label>
                </div>
            </div>
            <br>
            <div fxLayout="row" fxLayout.lt-md="column">
                <div fxLayout="column" fxLayoutAlign="start">
                    <mat-label><b>Transmit Date:</b> {{transmissionCompletionData.applicationDate}}</mat-label>
                </div>
            </div>
            <br>
        </mat-dialog-content>
    </div>
    <mat-divider></mat-divider>
    <br>
    <div class="print-action">
        <mat-dialog-actions>
            <div fxLayout="row" fxLayout.lt-md="column" class="divButtons">
                <div fxLayoutAlign="center">
                    <button type="button" mat-raised-button color="primary" matTooltip="Print"
                        (click)="printTransmissionStatus()">Print</button>
                    &nbsp;&nbsp; <button type="button" mat-raised-button color="warn" matTooltip="Exit"
                        (click)="exit()">Exit</button>
                </div>
            </div>
        </mat-dialog-actions>
    </div>
</div>

<div *ngIf="isapplicationCompleteStatus">
    <mat-dialog-content>
        <div fxLayout="row" fxLayout.lt-md="column">
            <div fxLayout="column" fxLayoutAlign="start">
                <mat-label><b>Transmission Status</b></mat-label>
            </div>
        </div>
        <br>
        <div fxLayout="row" fxLayout.lt-md="column" *ngIf="!isYoungAdultToAdult">
            <div fxLayout="column" fxLayoutAlign="start">
                <mat-label><b>The following sections need to be completed before the application can be transmitted :
                    </b></mat-label>
            </div>
            <br>
        </div>
        <mat-divider></mat-divider>
        <div fxLayout="row" fxLayout.lt-md="column" *ngIf="isYoungAdultToAdult">
            <div fxLayout="column" fxLayoutAlign="start">
                <span class="span-padding-10">{{ youngAdultToAdultMessage }}</span>
            </div>
        </div>
        <div fxLayout="row" fxLayout.lt-md="column" *ngIf="!isYoungAdultToAdult">
            <div fxLayout="column" fxLayoutAlign="start">
                <ul>
                    <li *ngFor="let status of applicationCompleteStatus">
                        <a [routerLink]="" (click)="navigateTo(status.tabName);" class="anchor">{{status.tabName}}</a>
                        <span *ngIf="status.missingFields !== null"> - {{status.missingFields}}</span>
                    </li>
                </ul>
            </div>
        </div>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <br>
    <mat-dialog-actions>
        <div fxLayout="row" fxLayout.lt-md="column" class="divButtons">
            <div fxLayoutAlign="center">
                <button type="button" mat-raised-button color="warn" matTooltip="Close"
                    (click)="closeDialog()">Close</button>
            </div>
        </div>
    </mat-dialog-actions>
</div>